Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.pattern
Class ADALINEPattern

    java.lang.Object
      org.encog.neural.pattern.ADALINEPattern

All Implemented Interfaces:
  NeuralNetworkPattern

    public class ADALINEPattern

extends Object
implements NeuralNetworkPattern

Construct an ADALINE neural network.

Constructor Summary
`ADALINEPattern()`

Method Summary
`void` | `addHiddenLayer(int count)` Not used, the ADALINE has no hidden layers, this will throw an error.
`void` | `clear()` Clear out any parameters.
`MLMethod` | `generate()` Generate the network.
`void` | `setActivationFunction(ActivationFunction activation)` Not used, ADALINE does not use custom activation functions.
`void` | `setInputNeurons(int count)` Set the input neurons.
`void` | `setOutputNeurons(int count)` Set the output neurons.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ADALINEPattern

    public ADALINEPattern()

Method Detail

### addHiddenLayer

    public final void addHiddenLayer(int count)

  Not used, the ADALINE has no hidden layers, this will throw an error.

  Specified by:
    `addHiddenLayer` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The neuron count.

### clear

    public final void clear()

  Clear out any parameters.

  Specified by:
    `clear` in interface `NeuralNetworkPattern`

### generate

    public final MLMethod generate()

  Generate the network.

  Specified by:
    `generate` in interface `NeuralNetworkPattern`
  Returns:
    The generated network.

### setActivationFunction

    public final void setActivationFunction(ActivationFunction activation)

  Not used, ADALINE does not use custom activation functions.

  Specified by:
    `setActivationFunction` in interface `NeuralNetworkPattern`
  Parameters:
    `activation` - Not used.

### setInputNeurons

    public final void setInputNeurons(int count)

  Set the input neurons.

  Specified by:
    `setInputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The number of neurons in the input layer.

### setOutputNeurons

    public final void setOutputNeurons(int count)

  Set the output neurons.

  Specified by:
    `setOutputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The number of neurons in the output layer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.